Bug 2029409 - Update defaultReleaseImageOriginal to 4.9
Summary: Update defaultReleaseImageOriginal to 4.9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.z
Assignee: aos-install
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On: 2029424
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-06 12:24 UTC by Christian Glombek
Modified: 2021-12-13 12:06 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2029424 (view as bug list)
Environment:
Last Closed: 2021-12-13 12:06:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5450 0 None open Bug 2029409: Update defaultReleaseImageOriginal to 4.9 2021-12-06 13:51:49 UTC
Red Hat Product Errata RHBA-2021:5003 0 None None None 2021-12-13 12:06:32 UTC

Description Christian Glombek 2021-12-06 12:24:04 UTC
The defaultReleaseImageOriginal on the release-4.9 branch has not been updated and still points to 4.8.
This is critical for OKD since the OKD installer uses this reference.
Therefore today the OKD 4.9 installer still points to the latest 4.8 release and is thus broken.

Relevant LoC:
https://github.com/openshift/installer/blob/bbb6947e7f1dcfd5e120efc6abd5d4588f191c72/pkg/asset/releaseimage/default.go#L23

Comment 5 Gaoyun Pei 2021-12-07 06:09:42 UTC
Move bug as verified for this change does not affect any OCP releases
https://github.com/openshift/installer/pull/5450#issuecomment-986924206.

Comment 8 errata-xmlrpc 2021-12-13 12:06:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:5003


Note You need to log in before you can comment on or make changes to this bug.